#!/bin/bash
#
# Init Script for client Container
#

echo [init.sh] license_client initialize.

# /app の権限がデフォルトでは node ユーザーになっているため、
# 権限確認し、vscode ユーザでない場合付け替える
ls -ld /app | grep vscode
if [ $? -ne 0 ]; then
  echo [init.sh] change /app owner to vscode.
  sudo chown -R vscode:vscode /app
fi

cd /app/license_client
echo [init.sh] \"npm ci\" start.
npm ci

echo [init.sh] initialize completed!

sleep infinity
